// #ifdef H5
import { runningInsideWeChat } from '@/platform/h5-wechat'
// #endif

export default {
	onLoad() {
		this.mpShare = {
			title: '',
			path: '',
			imageUrl: ''
		}
		// #ifdef MP-WEIXIN
		wx.showShareMenu({
			withShareTicket: true,
			menus: ['shareAppMessage', 'shareTimeline']
		})
		// #endif
		// #ifdef MP-QQ
		qq.showShareMenu({
			showShareItems: ['qq', 'qzone', 'wechatFriends', 'wechatMoment']
		})
		// #endif
	},
	onShareAppMessage() {
		return this.mpShare
	},
	// #ifdef MP-WEIXIN
	onShareTimeline() {
		return this.mpShare
	}
	// #endif
}
